"""
This is the build configuration file
for cx_freeze on Linux
"""
import os
from cx_Freeze import setup, Executable, hooks


def load_pyphen(finder, module):
    directory = os.path.join(module.path[0], "dictionaries")
    finder.IncludeFiles(directory, "dictionaries")
print "fixing pyphen import hooks (only needed for cx_Freeze 4.3.4)"
hooks.load_pyphen = load_pyphen

# Dependencies are automatically detected, but it might need fine tuning.
options = {
    'build_exe': {
        'silent': False,
        'packages': ['lxml._elementpath', ],
        'bin_includes': [],
    },

}

base = None
executables = []

executables.extend([
    Executable('./HTML_to_PDF.py', base=base, targetName='convertHTMLtoPDF'),
    Executable('./HTML_to_PDF.py', base=base, targetName='convertHTMLtoPDF.exe'),
])

setup(name="WeasyPrintTest",
      version="1.0",
      description="Test for freezing WeasyPrint",
      options=options,
      executables=executables, )
