#!/usr/bin/env python3

import syslog
# Define identifier
syslog.openlog("Python")
# Record a message
syslog.syslog(syslog.LOG_ALERT, "Start cx_Freeze test")

try:
	import scipy
	syslog.syslog(syslog.LOG_ALERT, 'Imported scipy OK')
except ImportError as inst:
    syslog.syslog(syslog.LOG_ALERT, 'Uh oh, failed to import scipy: '+str(inst))

try:
	import scipy.interpolate
	syslog.syslog(syslog.LOG_ALERT, 'Imported scipy.interpolate OK')
except ImportError as inst:
    syslog.syslog(syslog.LOG_ALERT, 'Uh oh, failed to import scipy.interpolate: '+str(inst))

try:
	import scipy.integrate
	syslog.syslog(syslog.LOG_ALERT, 'Imported scipy.integrate OK')
except ImportError as inst:
    syslog.syslog(syslog.LOG_ALERT, 'Uh oh, failed to import scipy.integrate: '+str(inst))

try:
	import scipy.optimize
	syslog.syslog(syslog.LOG_ALERT, 'Imported scipy.optimize OK')
except ImportError as inst:
    syslog.syslog(syslog.LOG_ALERT, 'Uh oh, failed to import scipy.optimize: '+str(inst))

try:
	import scipy.stats
	syslog.syslog(syslog.LOG_ALERT, 'Imported scipy.stats OK')
except ImportError as inst:
    syslog.syslog(syslog.LOG_ALERT, 'Uh oh, failed to import scipy.stats: '+str(inst))


syslog.syslog(syslog.LOG_ALERT, "cx_Freeze test completed")